Bug 117235 - RHEL 3 unable to install on zSeries / can't see 3390 DASD
RHEL 3 unable to install on zSeries / can't see 3390 DASD
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
s390x Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-01 16:35 EST by Chris Runge
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 17:17:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Runge 2004-03-01 16:35:56 EST
Description of problem:

*** Opening on behalf of customers reporting the problem ***

*** Marking as high priority since this affects installation ***

Customers are unable to install RHEL 3 on their zSeries z900 because
the installer is unable to see their IBM 3390 DASD devices.

Log from one of the customers reporting the problem follows:

-------------------

Here is a better description of my problem.
                                                                     
                                                                     
                           
I am building a new RHEL AS 3 system from Linux version 2.4.21-4.EL (Red
Hat Linux 3.2.3-20)
                                                                     
                                                                     
                           
I put all the networking configuration information in, and I can connect
to the new initial ram disk system.  I supply the DASD device numbers
of "151,200,201,202,203"
                                                                     
                                                                     
                           
I then LOGN to ROOT on the initial system and see some of the following on
the system console
                                                                     
                                                                     
                           
dasd(eckd): ECKD discipline initializing
                                                                     
                                                                     
                           
dasd: <devno: 0151> Add lowmem page :15247000
                                                                     
                                                                     
                           
dasd: <devno: 0151> Add lowmem page :15245000
                                                                     
                                                                     
                           
dasd(eckd): /dev/dasda  ( 94:  0),0151@09: 3390/0A(CU:3990/01) Cyl:250
Head:15 Sec:224
                                                                     
                                                                     
                           
dasd(eckd): /dev/dasda  ( 94:  0),0151@09: 3390/0A(CU:3990/01):
Configuration data read
                                                                     
                                                                     
                           
dasd: No request IRQ
                                                                     
                                                                     
                           
dasd: <devno: 0200> Add lowmem page :1523d000
                                                                     
                                                                     
                           
dasd: <devno: 0200> Add lowmem page :1523c000
                                                                     
                                                                     
                           
dasd(eckd): /dev/dasdb  ( 94:  4),0200@0b: 3390/0A(CU:3990/01) Cyl:100
Head:15 Sec:224
                                                                     
                                                                     
                           
dasd(eckd): /dev/dasdb  ( 94:  4),0200@0b: 3390/0A(CU:3990/01):
Configuration data read
                                                                     
                                                                     
                           
dasd: No request IRQ
                                                                     
                                                                     
                           
dasd: waiting for responses...
                                                                     
                                                                     
                           
dasd(eckd): /dev/dasda  ( 94:  0),0151@09: (4kB blks): 180000kB at
48kB/trk
linux disk layout
                                                                     
                                                                     
                           
dasd: No request IRQ
                                                                     
                                                                     
                           
dasd: <devno: 0201> Add lowmem page :15234000
                                                                     
                                                                     
                           
dasd: <devno: 0201> Add lowmem page :15233000
                                                                     
                                                                     
                           
dasd(eckd): /dev/dasdc  ( 94:  8),0201@0c: 3390/0A(CU:3990/01) Cyl:3338
Head:15
Sec:224

dasd(eckd): /dev/dasdc  ( 94:  8),0201@0c: 3390/0A(CU:3990/01):
Configuration data read
                                                                     
                                                                     
                           
dasd: No request IRQ
                                                                     
                                                                     
                           
dasd: waiting for responses...
                                                                     
                                                                     
                           
dasd(eckd): /dev/dasdb  ( 94:  4),0200@0b: (4kB blks): 72000kB at 48kB/trk
linux
                                                                     
                                                                     
                           
And then toward the end I see this information:
                                                                     
                                                                     
                           
Partition check:
 dasda:CMS1/  SWAP  : dasda1
 dasdb:CMS1/  BOOT  : dasdb1
 dasdc:CMS1/  ROOT  : dasdc1
 dasdd:CMS1/  VAR   : dasdd1
 dasde:CMS1/  HOME  : dasde1
dasd(eckd): We are interested in: CU 3880/00
dasd(eckd): We are interested in: CU 3990/00
dasd(eckd): We are interested in: CU 2105/00
dasd(eckd): We are interested in: CU 9343/00
* inserted /tmp/dasd_eckd_mod.o
* load module set done
* no firewire controller found
* no pcic controller found
* probing buses
* finished bus probing
* found nothing
                                                                     
                                                                     
                           
At this point I start the install process. Select the NFS Setup option.
Then after id mounts the NFS Disk I get this prompt:
                                                                     
                                                                     
                           
                     +------------+ Warning +------------+
                     |                                   |
                     | No hard drives have been found.   |
                     | You probably need to manually     |
                     | choose device drivers for the     |
                     | installation to succeed.  Would   |
                     | you like to select drivers now?   |
                     |                                   |
                     |     +-----+           +----+      |
                     |     | Yes |           | No |      |
                     |     +-----+           +----+      |
                     |                                   |
                     |                                   |
                     +-----------------------------------+
                                                                     
                                                                     
                           
                                                                     
                                                                     
                           
                                                                     
                                                                     
                           
I select yes, Then I get this prompt

               +------------------+ Devices +------------------+
               |                                               |
               | No device drivers have been loaded for your   |
               | system.  Would you like to load any now?      |
               |                                               |
               |                                               |
               |      +------+            +------------+       |
               |      | Done |            | Add Device |       |
               |      +------+            +------------+       |
               |                                               |
               |                                               |
               +-----------------------------------------------+
                                                                     
                                                                     
                           
But the only driver I see is for   S/390 Channel to Channel (ctc)
Comment 2 Brock Organ 2004-03-01 17:31:51 EST
this issue should be fixed in RHEL3 U1 ...
Comment 3 Jeremy Katz 2004-03-02 22:52:07 EST
Can you please verify that this is still a problem in U1?
Comment 4 Brock Organ 2004-03-03 10:51:08 EST
this issue (not recognizing VM formatted dasd) is verified fixed in U1 ...
Comment 5 Jeremy Katz 2004-03-04 14:49:24 EST
Yes, but is the customer seeing this with U1?
Comment 6 Brock Organ 2004-03-04 14:56:29 EST
I believe the customer does not have U1, but the original RHEL 3 GA
version ...
Comment 7 Chris Runge 2004-03-04 15:16:20 EST
the customer is in the process of getting the U1 media to verify
Comment 8 Jeremy Katz 2004-06-09 16:54:18 EDT
Any updates here?
Comment 9 Brock Organ 2004-09-02 17:17:26 EDT
I believe this issue is resolved in U1 ... please re-open if it is
till a problem ...

Note You need to log in before you can comment on or make changes to this bug.